# Package org.apache.ignite.internal.processors.platform.cache

Interface Summary
PlatformCacheEntryFilter: Platform cache entry filter interface.
PlatformCacheEntryProcessor: Platform cache entry processor marker interface.
PlatformCacheExtension: Platform cache extension.

Class Summary
PlatformCache: Native cache wrapper implementation.
PlatformCacheEntryFilterImpl: Interop filter.
PlatformCacheEntryProcessorImpl: Platform cache entry processor.
PlatformCacheIterator: Interop cache iterator.
PlatformCacheManager: Platform cache manager - delegates functionality to native platforms (.NET, C++, ...).

Exception Summary
PlatformCachePartialUpdateException: Interop cache partial update exception.